Subject: bug#52836: "guix import pypi" fails with "Failed to extract file from wheel" and "no requires.txt file found"

From: bbb ee <[email-masked]>
Date: Fri, 31 Dec 2021 11:15:09 +0100

> Is it a bug on Guix side or upstream?  Because it seems that upstream
> does not provide metadata information, at least, as usually expected.

`pip install PyPortfolioOpt`, `poetry add PyPortfolioOpt` runs for me. If
other python package installer can run, I suppose the upstream is correct.
Unless Guix is not as powerful as other python package installers, and
cannot work for certain type of PyPi packages. In this case, can this be
considered an improvement to be made?

Le mer. 29 déc. 2021 à 18:09, zimoun <[email-masked]> a écrit :

> Hi,
>
> On Mon, 27 Dec 2021 at 22:10, bbb ee <[email-masked]> wrote:
>
> > ```
> > guix import: warning: Failed to extract file:
> > PyPortfolioOpt-1.5.1.dist-info/METADATA from wheel.
> > guix import: warning: Cannot guess requirements from source archive: no
> > requires.txt file found.
> > ```
>
> Is it a bug on Guix side or upstream?  Because it seems that upstream
> does not provide metadata information, at least, as usually expected.
>
> Well, I have not yet inspected the PyPI package but it seems possible
> that it is incorrectly packaged with the Setuptools standard.
>
>
> > ## additional information
> > This user has encountered a similar issue for "guix import pypi httpie"
> > https://www.mail-archive.com/[email-masked]/msg14277.html
> >
> > However "guix import pypi httpie" runs for my version of guix.
>
> Well, “guix import pypi httpie” works for me.
>
>
> Cheers,
> simon
>